import type { ScoreEntryModel } from './model';

import type { BaseResult } from '#/api/base-result';

import { commonExport } from '#/api/helper';
import { requestClient } from '#/api/request';

// API路径常量枚举
enum Api {
  // 导出
  export = '/sysScoreStandard/standard/export',
  // 列表查询
  list = '/sysScoreStandard/standard/list',
  // 基础路径
  root = '/sysScoreStandard/standard',
}

/**
 * 查询评分标准设置列表
 * @param params 查询参数
 * @returns 分页结果
 */
export function scoreEntryList(params: any) {
  return requestClient.get<BaseResult<ScoreEntryModel[]>>(Api.list, {
    params,
  });
}

/**
 * 获取评分标准设置详细信息
 * @param id 评分标准设置ID
 * @returns 评分标准设置详情
 */
export function getScoreEntryDetail(id: number) {
  return requestClient.get<ScoreEntryModel>(`${Api.root}/${id}`);
}

/**
 * 修改评分标准设置
 * @param data 评分标准设置数据
 * @returns 操作结果
 */
export function updateScoreEntry(data: ScoreEntryModel) {
  return requestClient.put(Api.root, data, {
    successMessageMode: 'message',
  });
}

/**
 * 导出评分标准设置列表
 * @param data 导出参数
 * @returns 导出结果
 */
export function exportScoreEntry(data: Partial<ScoreEntryModel>) {
  return commonExport(Api.export, data);
}